Subject: bug#41834: 28.0.50; Dired-x: Y makes symlink with error: File is a symlink to a nonexistent target

From: Jean Louis <[email-masked]>
Date: Sat, 13 Jun 2020 14:57:35 +0300

* Michael Heerdegen <[email-masked]> [2020-06-13 14:40]:
> Jean Louis <[email-masked]> writes:
> 
> > Try again now, not all was uploaded in time.
> 
> Ok, I can see these screenshots now - thanks.
> 
> About your issue: does this happen every time (can you reproduce
> reliably), and is this with emacs -Q?

Yes, I have reproduced with emacs -Q

> And you said that the created link is actually ok since you can follow
> it in a shell?

I could follow it first time. Now when I review again I cannot follow
it. I have opened xterm inside and I could follow it. Now I opened
xterm and I cannot follow it.

I have noticed that "Y" causes wrong relative symlink, this one here:
S lrwxrwxrwx 1   65 13. Jun 14:51 2020-06-13 -> ../../../../../../public_html/louis.club/media/2020/06/2020-06-13

And it should be this one:
S lrwxrwxrwx 1   71 13. Jun 14:51 2020-06-13 -> ../../../../../../../../public_html/louis.club/media/2020/06/2020-06-13

And I have made that symlink from:

/home/data1/protected/public_html/louis.club/media/2020/06/2020-06-13

to

/home/data1/protected/Media/Pictures/Pictures/Year-2020/06/2020-06-13/2020-06-13
as symlink to /home/data1/protected/public_html/louis.club/media/2020/06/2020-06-13

I guess if you would recreate same directories at your side, you could
reproduce it.

The "Y" I used belongs to dired-x library.

In my opinion the error is in the calculation for relative
symlink.

Jean